Subject: Re: JMP> RESEND: PWG Standard Job Monitoring MIB, V1, posted

From: [email-masked] (Ira Mcdonald x10962)
Date: Mon, 29 Dec 1997 17:26:16 PST

Hi Tom,

Per earlier comments from David Perkins, please do NOT move all
the attribute descriptions up before the BEGIN statement.  Just
make them all into ASN.1 comment lines in place (with "--" in
column 1), and remember to wrap a close-quote around the last
line of the general DESCRIPTION clause (in '...AttributeTypeTC').

Otherwise, an 'mstrip' output will remove all the attribute
descriptions (NOT good).

No, I didn't have any trouble running 'mstrip' on your posted
version.

Also, I forgot to further pursue the Epilogue warning on the
assignment in the MODULE-IDENTITY macro.  I'll try to get back
to this later this week or next week, as soon as I can.

Cheers,
- Ira
---------------------------------
>From [email-masked] Mon Dec 29 17:45:20 1997
Date: Mon, 29 Dec 1997 14:35:42 -0800
To: [email-masked] (Ira Mcdonald x10962), [email-masked]
From: Tom Hastings <[email-masked]>
Subject: Re:  JMP> RESEND: PWG Standard Job Monitoring MIB, V1, posted
Status: R

At 07:01 12/22/1997 PST, Ira Mcdonald x10962 wrote:
>Hi Tom,
>
>I commented out (as ASN.1 comments) the details of the attributes
>in the DESCRIPTION clause of JmAttributeTypeTC in this version
>of the Job Mon MIB and got a CLEAN compile with SMICng.

Looks like I should move all the DESCRIPTION of each of the attributes
up front before the BEGIN into the section on attributes, since I got the
same error with SMICng on my Sun workstation.  Since I have the 
enum numbers duplicated in the description, the reader can still find each 
attribute easily by the number and the table of contents and index will 
refer to the moved section.

By the way, did you have any difficulty removing the headers and footers
from the .txt version with the MSTRING program distributed with SMICng on the
PC?  The version of mstring on the Sun was unable to strip the headers from 
the .txt version that I posted.  My test compile was with a previous version 
that differed only in formatting.

>
>I also got a small warning from Epilogue on the OID assignment
>statement in the MODULE-IDENTITY macro.  I'll look at this 
>more and experiment before commenting to the DL.

I got it too, but I figured it was some problem with the Epilogue compiler,
but if you see a problem, let us know.

>
>Lastly, the posted text file has 275 lines that are 73 characters
>long (not all are trailing blanks).  After using the SMICng
>'mstrip' tool to extract the '.mib' file, there are still 164 lines
>that are 73 characters long.  This does NOT meet the IETF rules
>for Internet-Drafts (or RFCs) and will need to be corrected
>in January.

Yes, I discovered this too, so I need to make the right margin 1.4 inches
wide, instead of 1.3 (left, top, and bottome = 0.0).  It looks like MS-WORD
now places the center of the character inside the margin, not the right
edge of the character.  Strange.

>
>Thanks for all the good work,
>- Ira McDonald (outside consultant at Xerox)
>
>

---

From: Tom Hastings <[email-masked]>
Date: Mon, 5 Jan 1998 07:43:49 PST

>Otherwise, an 'mstrip' output will remove all the attribute

Gee.  That's too bad, because I've been trying to avoid hand editing
the .doc file after reformatting for fixed pitch font.

Is there any other way around this, such as dividing the DESCRIPTION
into two parts, with each part having its own "....".  E.g.:

DESCRIPTION
".....
...."
"....
...."

Or does the syntax require that there be only one pair of "..."?

Since this problem only appeared this last version, we must have just
crossed the limit for the SNICng compiler for the maximum length of
compiled string.

Tom

>No, I didn't have any trouble running 'mstrip' on your posted

Hmmm.  So its the Sun version of mstrip that is having the problem
stripping the headers from the .txt version that I produced at home
on Windows 95.

>Return-Path: <[email-masked]>
>Received: from zombi (zombi.eso.mc.xerox.com) by snorkel.eso.mc.xerox.com
(4.1/XeroxClient-1.1)
>	id AA18554; Mon, 29 Dec 97 17:45:19 EST
>Received: from norman.cp10.es.xerox.com by zombi (4.1/SMI-4.1)
>	id AA26662; Mon, 29 Dec 97 17:40:10 EST
>Received: from garfield.cp10.es.xerox.com (garfield.cp10.es.xerox.com
[13.240.104.48])
>	by norman.cp10.es.xerox.com (8.8.5/8.8.5) with ESMTP id OAA00115;
>	Mon, 29 Dec 1997 14:38:57 -0800 (PST)
>Received: from dellxpi-11 (ppphastings [13.240.103.243])
>	by garfield.cp10.es.xerox.com (8.8.5/8.8.5) with SMTP id OAA09541;
>	Mon, 29 Dec 1997 14:35:07 -0800 (PST)
>Message-Id: <3.0.1.32.19971229143542.010a8100@garfield>
>X-Sender: hastings@garfield
>X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
>In-Reply-To: <[email-masked]>
>Mime-Version: 1.0
>Content-Type: text/plain; charset="us-ascii"
>Status: R
>